Package org.apache.ignite.internal.management

## Class IgniteCommandRegistry

- java.lang.Object
- - org.apache.ignite.internal.management.api.CommandRegistryImpl<NoArg,​Void>
  - - org.apache.ignite.internal.management.IgniteCommandRegistry

All Implemented Interfaces:
  `Command<NoArg,​Void>`, `CommandsRegistry<NoArg,​Void>`

    public class IgniteCommandRegistry
    extends CommandRegistryImpl<NoArg,​Void>

Ignite command registry containing all commands known by Ignite node.

See Also:
  `Command`

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`IgniteCommandRegistry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `register​(Command<?,​?> cmd)` Register new command.

### Methods inherited from class org.apache.ignite.internal.management.api.CommandRegistryImpl

`command, commands`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Methods inherited from interface org.apache.ignite.internal.management.api.CommandsRegistry

`argClass, description`

### Constructor Detail

#### IgniteCommandRegistry

    public IgniteCommandRegistry()

### Method Detail

#### register

    public void register​(Command<?,​?> cmd)

Register new command.

Overrides:
  `register` in class `CommandRegistryImpl<NoArg,​Void>`
Parameters:
  `cmd` - Command to register.